// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2010                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// -----------------------------------------------------------------
// FVIL Sample Program
// rfIݒt@CI_CAO
//
// 쐬 : N.Moriguchi
//
//  : 2010/07/27 
//
// -----------------------------------------------------------------
namespace FV_GP440_1chSample
{
    public partial class Form_BROWSEINI : Form
    {

        public string strIniFilePath;
        public Int32 SelectChannelNo;

        public Form_BROWSEINI()
        {
            InitializeComponent();
        }

        /// <summary>
        /// OK{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            //init@C̃pX擾
            strIniFilePath = TextBoxPath.Text;

            //IĂrfI̓`l擾
            if (RadioButtonCH0.Checked)
            {
                SelectChannelNo = RadioButtonCH0.TabIndex;
            }
            else if (RadioButtonCH1.Checked)
            {
                SelectChannelNo = RadioButtonCH1.TabIndex;
            }
            else if (RadioButtonCH2.Checked)
            {
                SelectChannelNo = RadioButtonCH2.TabIndex;
            }
            else if (RadioButtonCH3.Checked)
            {
                SelectChannelNo = RadioButtonCH3.TabIndex;
            }
            
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        /// <summary>
        /// Qƃ{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ButtonBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "init@C(*.ini;)|*.ini;";
            openFileDialog1.DefaultExt = "*.INI";
            openFileDialog1.ShowDialog();

            if ((openFileDialog1.FileNames.Length > 0))
            {
                //init@C擾
                TextBoxPath.Text = openFileDialog1.FileName;
            }

        }
    }
}